unique.igraph.vs {igraph} | R Documentation

## Remove duplicate vertices from a vertex sequence

### Description

Remove duplicate vertices from a vertex sequence

### Usage

    ## S3 method for class 'igraph.vs'
    unique(x, incomparables = FALSE, ...)

### Arguments

`x` | A vertex sequence.
`incomparables` | a vector of values that cannot be compared. Passed to base function `duplicated`. See details there.
`...` | Passed to base function `duplicated()`.

### Value

A vertex sequence with the duplicate vertices removed.

### See Also

Other vertex and edge sequence operations: `[.igraph.es`, `%–%`, `%->%`, `%<-%`, `igraph-es-indexing`; `[.igraph.vs`, `igraph-vs-indexing`; `[[.igraph.es`, `igraph-es-indexing2`; `[[.igraph.vs`, `igraph-vs-indexing2`; `c.igraph.es`; `c.igraph.vs`; `difference.igraph.es`; `difference.igraph.vs`; `intersection.igraph.es`; `intersection.igraph.vs`; `rev.igraph.es`; `rev.igraph.vs`; `union.igraph.es`; `union.igraph.vs`; `unique.igraph.es`

### Examples

    g <- make_(ring(10), with_vertex_(name = LETTERS[1:10]))
    V(g)[1, 1:5, 1:10, 5:10]
    V(g)[1, 1:5, 1:10, 5:10] %>% unique()

[Package igraph version 1.0.1 Index]